<ion-header no-border no-shadow>
  <ion-toolbar>
    <ion-icon class="pin" name="pin"></ion-icon>
    <p>{{location}}</p>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-searchbar placeholder=' Search by Vegetables, Fruits, etc.,' [(ngModel)]="itemName">
  </ion-searchbar>
  <div text-center style="margin-top: 17px;font-size: 12px;font-weight: 600;">
    BROWSE POPULAR CATEGORIES
  </div>

  <ion-grid style="margin-top: 7px;margin-left:25px;margin-right: 25px;  ">
    <ion-row style="height: 73px;">
      <ion-col class="bord" style=" height: 69px;" size=4 (click)="list('vegetables')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/vegetables.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -7px;text-transform: uppercase;">vegetables
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col style="   height: 69px;" size=4 (click)="list('sweets')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/sweets.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -7px;text-transform: uppercase;">sweets
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col size=4 style="   height: 69px;" (click)="list('milk')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/milk.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -7px;text-transform: uppercase;">milk
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
    <ion-row style="height: 73px;">
      <ion-col style="text-align: center;    height: 71px;" size=4 (click)="list('dried-fruits')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/dried-fruits.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -6px;text-transform: uppercase;">
            dried-fruits</ion-col>
        </ion-row>
      </ion-col>
      <ion-col style="text-align: center;  height: 71px;" size=4 (click)="list('meat')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/meat.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -6px;text-transform: uppercase;">meat
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col size=4 style="height: 71px;" (click)="list('fruits')">
        <ion-row>
          <ion-col style="text-align: center;"><img src='assets/imgs/fruits.png' style="height: 33px;"></ion-col>
        </ion-row>
        <ion-row>
          <ion-col style="text-align: center;font-size: 9px;    margin-top: -6px;text-transform: uppercase;">fruits
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </ion-grid>



  <ion-grid>
    <ion-row style="margin-top:-20px;margin-left: -16px;    text-align: -webkit-auto;">
      <ion-col size=5
        style="border-radius: 6px;height: 147px;border:1px solid darkgrey;text-align:center;margin-left: 24px;margin-top:20px;"
        *ngFor="let userdata of items">
        <div class="styles1">
          <div style="text-align:center;" (click)="click(userdata)">
            <img src="{{ userdata.image}}" class="img1">
          </div>
          <ion-row style="text-decoration-style: dotted;
            width: 173px;">
            <ion-col size=3>
              <ion-icon name="pricetag"></ion-icon>
            </ion-col>
            <ion-col class="price" size=6>
              {{ userdata.rate}}
            </ion-col>
            <ion-col size=2 class="icon-algin" *ngIf="!userdata.isliked" (click)="like(userdata.id)">
              <ion-icon name="heart-empty"> </ion-icon>
            </ion-col>
            <ion-col size=2 class="icon-algin2" *ngIf="userdata.isLiked" (click)="unlike(userdata.id)">
              <ion-icon name="heart"> </ion-icon>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col class="content1">
              <p class="text-wrap "> {{userdata.description }}</p>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col style="text-align: -webkit-left;" class="content2 span">
              <p> {{userdata.location }}</p>
            </ion-col>
          </ion-row>
        </div>
        <br>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>